<?php
/**
* Web Application Component Toolkit
*
* @link http://www.phpwact.org/
*
* @author Wact Development Team
* @link http://www.phpwact.org/team
*
* @copyright Copyright 2006, Jeff Moore
* @license http://opensource.org/licenses/mit-license.php MIT
*/

/**
* Callback interface for assembling a mixed content and expressions
*/
interface Wact_Template_Compiler_Expression_Observer {

    function addLiteral($text);

    function addExpression(Wact_Template_Compiler_Expression_Node $expr);

    function beginFragments();

    function addLiteralFragment($text);

    function addExpressionFragment(Wact_Template_Compiler_Expression_Node $expr);

    function endFragments();

}

?>